=== debian/changelog ===
qsynth (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * Refresh soundfont dir patch
  * Update d/copyright year of the appdata file

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 16 Feb 2022 21:28:02 +0100
