## qsynth 0.9.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (qsynth
-  VERSION 0.9.6
+  VERSION 0.9.7
   DESCRIPTION "A fluidsynth Qt GUI Interface"
   LANGUAGES C CXX)
 
@@ -87,6 +87,8 @@
 # Enable debugger stack-trace option (assumes --enable-debug).
 option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)
 
+# Enable Wayland support option.
+option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
@@ -222,10 +224,11 @@
 
 add_subdirectory (src)
 
-configure_file (qsynth.spec.in qsynth.spec IMMEDIATE @ONLY)
-
-install (FILES qsynth.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
-install (FILES qsynth.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME qsynth.1)
+
+if (UNIX AND NOT APPLE)
+  configure_file (${PROJECT_NAME}.spec.in ${PROJECT_NAME}.spec IMMEDIATE @ONLY)
+endif ()
+
 
 # Configuration status
 macro (SHOW_OPTION text value)
