=== src/CMakeLists.txt ===
--- 
+++ 
@@ -170,13 +170,19 @@
   install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
   install (FILES images/${PROJECT_NAME}.png
+    RENAME org.rncbc.${PROJECT_NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
   install (FILES images/${PROJECT_NAME}.svg
+    RENAME org.rncbc.${PROJECT_NAME}.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
   install (FILES appdata/org.rncbc.${PROJECT_NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
   install (FILES appdata/org.rncbc.${PROJECT_NAME}.metainfo.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
+  install (FILES man1/${PROJECT_NAME}.1
+    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+  install (FILES man1/${PROJECT_NAME}.fr.1
+    DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME ${PROJECT_NAME}.1)
 endif ()
 
 if (WIN32)
