=== debian/changelog ===
qsynth (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 16 Apr 2022 22:37:56 +0200
