=== debian/changelog ===
qsynth (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Build with Qt6
  * Bump Standards Version to 4.6.1
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 06 Oct 2022 23:18:29 +0200
