=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  cmake,
  debhelper-compat (= 13),
  libfluidsynth-dev,
- libqt5x11extras5-dev,
+ libqt6svg6-dev,
  libx11-dev,
  pkg-config,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools
-Standards-Version: 4.6.0
+ qt6-base-dev,
+ qt6-tools-dev,
+ qt6-tools-dev-tools
+Standards-Version: 4.6.1
 Homepage: https://qsynth.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsynth
