=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Dennis Braun <d_braun@kabelmail.de>,
+ Dennis Braun <snd@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
@@ -16,7 +16,7 @@
  qt6-base-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://qsynth.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsynth
