## qsynth 0.9.11

=== debian/changelog ===
qsynth (0.9.11-1) unstable; urgency=medium

  * New upstream version 0.9.11
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 19 Jun 2023 20:15:34 +0200
