=== debian/changelog ===
qsynth (0.9.12-1) unstable; urgency=medium

  * New upstream version 0.9.12

 -- Dennis Braun <snd@debian.org>  Mon, 18 Sep 2023 19:54:30 +0200
