=== debian/changelog ===
qsynth (0.9.13-1build3) noble; urgency=high

  * No change rebuild against libqt6core6t64, libqt6gui6t64,
    libqt6network6t64, libqt6widgets6t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:48:30 +0200

qsynth (0.9.13-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:07:24 +0000

qsynth (0.9.13-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:57:28 +0000

qsynth (0.9.13-1) unstable; urgency=medium

  * New upstream version 0.9.13
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 29 Jan 2024 21:04:07 +0100
