=== debian/changelog ===
qsynth (0.9.91-1) unstable; urgency=medium

  * New upstream version 0.9.91
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 17:23:21 +0200

qsynth (0.9.90-1) unstable; urgency=medium

  * New upstream version 0.9.90
  * Change B-D from pkg-config to pkgconf
  * Use the default ci config from salsa

 -- Dennis Braun <snd@debian.org>  Fri, 19 Apr 2024 18:24:27 +0200
