=== debian/changelog ===
qsynth (1.0.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.0
  * Revert to Qt5 builds

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 21 Jun 2024 11:03:44 -0700
