## qsynth 1.0.2

=== debian/changelog ===
qsynth (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2

 -- Dennis Braun <snd@debian.org>  Sun, 06 Oct 2024 12:16:48 +0200

qsynth (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Dennis Braun <snd@debian.org>  Sat, 20 Jul 2024 22:16:02 +0200
