=== debian/changelog ===
qsynth (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
    + Fix ftbfs with GCC-15 (Closes: #1097714)
  * Bump Standards-Version to 4.7.2
  * d/copyright: Add Files: cmake/* and BSD-3-clause license
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 08 Apr 2025 20:37:57 +0200
