=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  qt6-base-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://qsynth.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsynth
