=== debian/watch ===
version=4
https://sf.net/qsynth/qsynth-([\d.]+)\.tar\.gz
