=== src/CMakeLists.txt ===
--- 
+++ 
@@ -79,6 +79,7 @@
   translations/qsynth_de.ts
   translations/qsynth_es.ts
   translations/qsynth_fr.ts
+  translations/qsynth_ka.ts
   translations/qsynth_ru.ts
   translations/qsynth_sr.ts
 )
