=== debian/changelog ===
qsynth (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * Remove redundant priority optional field
  * Remove redudant rules-requires-root-no field
  * Bump Standards-Version to 4.7.3
  * Bump d/copyright years
  * Update d/watch to version 5

 -- Dennis Braun <snd@debian.org>  Mon, 02 Mar 2026 18:57:44 +0100
