=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qsynth
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <snd@debian.org>,
@@ -16,11 +15,10 @@
  qt6-base-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://qsynth.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsynth
-Rules-Requires-Root: no
 
 Package: qsynth
 Architecture: any
